Freeciv-3.3: /fast/freeciv/nightly/main/common/scriptcore/luascript_signal.h File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Structures | Functions
luascript_signal.h File Reference
`#include "support.h"`

Go to the source code of this file.

## Data Structures

struct | signal_deprecator

## Functions

void | luascript_signal_init (struct fc_lua *fcl)
void | luascript_signal_free (struct fc_lua *fcl)
void | luascript_signal_emit_valist (struct fc_lua *fcl, const char *signal_name, va_list args)
void | luascript_signal_emit (struct fc_lua *fcl, const char *signal_name,...)
struct signal_deprecator * | luascript_signal_create (struct fc_lua *fcl, const char *signal_name, int nargs,...)
void | deprecate_signal (struct signal_deprecator *deprecator, char *signal_name, char *replacement, char *deprecated_since, char *retired_since)
void | luascript_signal_callback (struct fc_lua *fcl, const char *signal_name, const char *callback_name, bool create)
bool | luascript_signal_callback_defined (struct fc_lua *fcl, const char *signal_name, const char *callback_name)
const char * | luascript_signal_by_index (struct fc_lua *fcl, int sindex)
const char * | luascript_signal_callback_by_index (struct fc_lua *fcl, const char *signal_name, int sindex)

## Function Documentation

## ◆ deprecate_signal()

void deprecate_signal | ( | struct signal_deprecator * | deprecator,
|  | char * | signal_name,
|  | char * | replacement,
|  | char * | deprecated_since,
|  | char * | retired_since
| ) |  |

Mark signal deprecated.

Definition at line 276 of file luascript_signal.c.

Referenced by script_server_signals_create().

## ◆ luascript_signal_by_index()

const char * luascript_signal_by_index | ( | struct fc_lua * | fcl,
|  | int | sindex
| ) |  |

Return the name of the signal with the given index.

Definition at line 429 of file luascript_signal.c.

Referenced by api_signal_by_index().

## ◆ luascript_signal_callback()

void luascript_signal_callback | ( | struct fc_lua * | fcl,
|  | const char * | signal_name,
|  | const char * | callback_name,
|  | bool | create
| ) |  |

Connects a callback function to a certain signal.

Definition at line 317 of file luascript_signal.c.

Referenced by api_signal_connect(), and api_signal_remove().

## ◆ luascript_signal_callback_by_index()

const char * luascript_signal_callback_by_index | ( | struct fc_lua * | fcl,
|  | const char * | signal_name,
|  | int | sindex
| ) |  |

Return the name of the 'index' callback function of the signal with the name 'signal_name'.

Definition at line 441 of file luascript_signal.c.

Referenced by api_signal_callback_by_index().

## ◆ luascript_signal_callback_defined()

bool luascript_signal_callback_defined | ( | struct fc_lua * | fcl,
|  | const char * | signal_name,
|  | const char * | callback_name
| ) |  |

Returns if a callback function to a certain signal is defined.

Definition at line 369 of file luascript_signal.c.

Referenced by api_signal_defined().

## ◆ luascript_signal_create()

struct signal_deprecator * luascript_signal_create | ( | struct fc_lua * | fcl,
|  | const char * | signal_name,
|  | int | nargs,
|  |  | ...
| ) |  |

Create a new signal type.

Definition at line 255 of file luascript_signal.c.

Referenced by script_client_signal_create(), and script_server_signals_create().

## ◆ luascript_signal_emit()

void luascript_signal_emit | ( | struct fc_lua * | fcl,
|  | const char * | signal_name,
|  |  | ...
| ) |  |

Invoke all the callback functions attached to a given signal.

Definition at line 199 of file luascript_signal.c.

## ◆ luascript_signal_emit_valist()

void luascript_signal_emit_valist | ( | struct fc_lua * | fcl,
|  | const char * | signal_name,
|  | va_list | args
| ) |  |

Invoke all the callback functions attached to a given signal.

Definition at line 169 of file luascript_signal.c.

Referenced by luascript_signal_emit(), script_client_signal_emit(), and script_server_signal_emit().

## ◆ luascript_signal_free()

void luascript_signal_free | ( | struct fc_lua * | fcl | ) |

Free script signals and callbacks.

Definition at line 415 of file luascript_signal.c.

Referenced by luascript_destroy(), and script_client_free().

## ◆ luascript_signal_init()

void luascript_signal_init | ( | struct fc_lua * | fcl | ) |

Initialize script signals and callbacks.

Definition at line 402 of file luascript_signal.c.

Referenced by script_client_init(), and script_server_init().